package com.kmall.admin.dto;

import com.kmall.manager.entity.Tree;

/**
 * @author huangyq
 * @version 1.0
 * 2019-05-28 11:01
 */
public class MkCenterMenuTreeDto extends Tree {
    /**
     * 菜单ID
     */
    private Integer centerMenuId;

    /**
     * 父菜单ID，一级菜单为0
     */
    private Integer parentId;

    /**
     * 父菜单名称
     */
    private String parentName;

    /**
     * 菜单名称
     */
    private String name;

    public Integer getCenterMenuId() {
        return centerMenuId;
    }

    public void setCenterMenuId(Integer centerMenuId) {
        this.centerMenuId = centerMenuId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
